Subject: [bug#62153] [PATCH 1/2] guix: docker: Build layered image.

From: Ludovic Courtès <[email-masked]>
Date: Thu, 16 Mar 2023 11:37:58 +0100

Hi,

Ricardo Wurmus <[email-masked]> skribis:

> Simon Tournier <[email-masked]> writes:
>
>>>> Instead of Python, would it possible to implement in Guile?  I mean,
>>>> does Python have something that is missing in Guile?
>>>>
>>>> The facility for manipulating Tar?  Something else?
>>>
>>> I think nothing else.  As I understand Python implemented Tar inside the
>>> language itself in 2500 lines of code by manipulating binary data.
>>>
>>>     /gnu/store/...-python-3.9.9/lib/python3.9/tarfile.py
>>>
>>> Technically it's probably possible to use tar utility with --append flag
>>> instead of opening a new file and streaming to it as the Python script
>>> does.  To be honest I would like not to write it in this way if the
>>> Python script does not block current patch for merge.
>>
>> Ok, thanks for explaining.
>>
>>> Also I don't see myself writing Tar implementation in Guile, yet.  ;-)
>>
>> Maybe not reimplementing Tar in Guile, maybe just enough for working.
>> Or maybe some Guile bindings.  Or maybe something is already around for
>> the bootstrap story.
>
> gash-utils has (gash ustar); it’s about 620 lines of code.

Disarchive also has a tar implementation.  No excuse!  :-)

Oleg, could you check which of these would satisfy your needs?  I had a
plan to improve the tar implementation in Gash-Utils, perhaps it’s a
good time to get my act together.

Thanks,
Ludo’.